function val = supplementary_y(problem,x,t)
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      hypini1
% from  2022-04-01 



% make sure x and t have the same size
assert(all(size(x) == size(t)));

% remember the size of the input and resize it
[m,n] = size(x);
x = x(:)';
t = t(:)';

% evaluate the function
ix = find(x < (t-1)/2);
val = zeros(size(x));
val(ix) = 1;

% reshape the output
val = reshape(val,m,n);

